Std OrthographicCamera/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "==Opis==")
(Created page with "Polecenie '''Widok ortogonalny''' przełącza ujęcie widoku w aktywnym oknie widoku 3D w tryb widoku ortogonalnego. W tym trybie obiekty znajdujące się dalej...")
Line 21: Line 21:
==Opis==
==Opis==


Polecenie '''Widok ortogonalny''' przełącza ujęcie widoku w aktywnym oknie [[3D_view/pl|widoku 3D]] w tryb widoku ortogonalnego. W tym trybie obiekty znajdujące się dalej od kamery nie wydają się mniejsze od tych, które znajdują się bliżej.
The '''Std OrthographicCamera''' command switches the camera in the active [[3D_view|3D view]] to orthographic view mode. In this mode, objects that are further from the camera do not appear smaller than those that are closer.


[[Image:Std_OrthographicCamera_example.svg]]
[[Image:Std_OrthographicCamera_example.svg]]

Revision as of 08:33, 22 May 2022

Std: Widok ortogonalny

Lokalizacja w menu
Widok → Widok ortogonalny
Środowisko pracy
wszystkie
Domyślny skrót
V O
Wprowadzono w wersji
-
Zobacz także
Widok perspektywy

Opis

Polecenie Widok ortogonalny przełącza ujęcie widoku w aktywnym oknie widoku 3D w tryb widoku ortogonalnego. W tym trybie obiekty znajdujące się dalej od kamery nie wydają się mniejsze od tych, które znajdują się bliżej.

Two cubes with the same dimensions in orthographic view

Usage

  1. There are several ways to invoke the command:
    • Select the View → Orthographic view option from the menu.
    • Use the keyboard shortcut: V then O.

Notes

  • It is also possible to switch to orthographic view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to orthographic use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Orthographic')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()